using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Food : MonoBehaviour
{
    [SerializeField]
    SimpleEffect destroyEffect;

    void Start()
    {
        destroyEffect.Create(transform.position, transform.lossyScale.magnitude);

    }

    public void Consume()
    {
        destroyEffect.Create(transform.position, transform.lossyScale.magnitude);
        gameObject.SetActive(false);
        Destroy(gameObject);
    }
}
